Kerbal Space Program - Bug #3642

Resume Saved does not work
12/03/2014 02:34 AM - hempage

Status: Closed Start date: 12/03/2014
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.25 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Upon upgrading to 0.25, | found that after starting a new game, the Resume Saved menu no longer works, preventing me from
resuming any saved games. Even if | start a brand new game, ensuring that there's no errors in the save game files, the Resume
Saved menu does not work.

| experienced this issue on Ubuntu 14.10, and even starting with a freshly downloaded copy of KSP, | had the same issue. I've since
switched to using Steam and Windows, and have found this issue went away there, but have seen other people with the same issue
online, including on OS X.

History

#1 - 12/03/2014 03:58 AM - Squelch
- Status changed from New to Need More Info

- Severity changed from High to Low

Please could you provide us with the log output?

#2 - 12/03/2014 10:44 AM - quietghost

| had this exact thing happen to me. Did you place KSP into a restricted access folder? Also check to make sure that KSP is running with
administrator privileges.

#3 - 12/05/2014 09:48 AM - hempage
- File KSP.log added
Squelch wrote:

Please could you provide us with the log output?

Here is the log.

#4 - 12/19/2014 03:42 AM - captainlag

I'd just like to chime in here and state that | have the exact same problem on Win 7 64 bit.
Would providing log outputs etc help? OR is this bug thread not going anywhere?

Could we escalate the priority a tad, as for career this is game-breaking, due to the fact the game is now un-savable?

#5 - 01/02/2015 05:24 AM - Squelch

After a review of the uploaded log, there certainly appears to be an issue with accessing the savegame, but the cause isn't clear. | am inclined to
agree with quiteghost on the permissions, and would suggest that a check for write permission is available to the user that runs KSP.

Please also check the case in the file path, and that the path is indeed correct.
Is this still happening in 0.90?

captainlag wrote:
I'd just like to chime in here and state that | have the exact same problem on Win 7 64 bit.
Would providing log outputs etc help? OR is this bug thread not going anywhere?

Yes please. Logs are very useful in telling the story of what might be happening. Without a step by step recipe and logs, some bugs are very hard to
pin down, so all information is welcomed.

The same questions apply to win64 - Are you attempting to run from a restricted filesystem area, and does your user account have the necessary
permissions? Is your comment referencing 0.25 or 0.90?

The issue priority is set according to how widespread the issue might be, and its severity. While | understand how frustrating this particular one is, we
really need to gather as much information as possible, and to rule out all other variables that may affect the issue.

Solid reproduction steps, and all salient information are a must for all bug reports so the developers can quickly determine the cause.

Please refer to this excellent bug reporting guide for further details

#6 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#7 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

KSP.log 137 KB 12/05/2014 hempage
